player_actarray_multi_current_cmd Struct Reference

Command: Multiple Joint current control (PLAYER_ACTARRAY_CMD_MULTI_CURRENT) More...

`#include <player_interfaces.h>`

## Public Attributes

uint32_t | currents_count
| The number of actuators in the array. More...
float * | currents
| The current for the motors of the whole array.

## Detailed Description

Command: Multiple Joint current control (PLAYER_ACTARRAY_CMD_MULTI_CURRENT)

Tells all joints/actuators to attempt to move with the given current.

## Member Data Documentation

uint32_t player_actarray_multi_current_cmd::currents_count

The number of actuators in the array.

The documentation for this struct was generated from the following file:

- player_interfaces.h

Last updated 12 September 2005 21:38:45